osgSim::SphereSegment Class Reference

`#include <SphereSegment>`

Inheritance diagram for osgSim::SphereSegment:

## Public Types

enum | DrawMask { SURFACE = 0x00000001 , SPOKES = 0x00000002 , EDGELINE = 0x00000008 , SIDES = 0x00000010 , ALL = 0x7fffffff }
typedef std::vector< osg::ref_ptr< osg::Vec3Array > > | LineList
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| SphereSegment ()
| SphereSegment (const osg::Vec3 &centre, float radius, float azMin, float azMax, float elevMin, float elevMax, int density)
| SphereSegment (const osg::Vec3 &centre, float radius, const osg::Vec3 &vec, float azRange, float elevRange, int density)
| SphereSegment (const SphereSegment &rhs, const osg::CopyOp &co)
void | traverse (osg::NodeVisitor &nv)
void | setCentre (const osg::Vec3 &c)
const osg::Vec3 & | getCentre () const
void | setRadius (float r)
float | getRadius () const
void | setArea (const osg::Vec3 &vec, float azRange, float elevRange)
void | getArea (osg::Vec3 &vec, float &azRange, float &elevRange) const
void | setArea (float azMin, float azMax, float elevMin, float elevMax)
void | getArea (float &azMin, float &azMax, float &elevMin, float &elevMax) const
void | setDensity (int d)
int | getDensity () const
void | setDrawMask (int dm)
int | getDrawMask () const
void | setSurfaceColor (const osg::Vec4 &c)
const osg::Vec4 & | getSurfaceColor () const
void | setSpokeColor (const osg::Vec4 &c)
const osg::Vec4 & | getSpokeColor () const
void | setEdgeLineColor (const osg::Vec4 &c)
const osg::Vec4 & | getEdgeLineColor () const
void | setSideColor (const osg::Vec4 &c)
const osg::Vec4 & | getSideColor () const
void | setAllColors (const osg::Vec4 &c)
| META_Node (osgSim, SphereSegment)
LineList | computeIntersection (const osg::Matrixd &matrix, osg::Node *subgraph)
LineList | computeIntersection (const osg::Matrixd &matrix, osg::Drawable *drawable)
osg::Node * | computeIntersectionSubgraph (const osg::Matrixd &matrix, osg::Node *subgraph)
osg::Node * | computeIntersectionSubgraph (const osg::Matrixd &matrix, osg::Drawable *drawable)
void | updatePositions ()
void | updatePrimitives ()
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *state=0) const
virtual osg::BoundingSphere | computeBound () const
Public Member Functions inherited from osg::Geode
| Geode ()
| Geode (const Geode &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Geode)
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual bool | addDrawable (Drawable *drawable)
template<class T>
bool | addDrawable (const ref_ptr< T > &drawable)
virtual bool | removeDrawable (Drawable *drawable)
template<class T>
bool | removeDrawable (const ref_ptr< T > &drawable)
virtual bool | removeDrawables (unsigned int i, unsigned int numDrawablesToRemove=1)
virtual bool | replaceDrawable (Drawable *origDraw, Drawable *newDraw)
template<class T, class R>
bool | replaceDrawable (const ref_ptr< T > &origDraw, const ref_ptr< R > &newDraw)
virtual bool | setDrawable (unsigned int i, Drawable *drawable)
template<class T>
bool | setDrawable (unsigned int i, const ref_ptr< T > &drawable)
unsigned int | getNumDrawables () const
Drawable * | getDrawable (unsigned int i)
const Drawable * | getDrawable (unsigned int i) const
bool | containsDrawable (const Drawable *drawable) const
template<class T>
bool | containsDrawable (const ref_ptr< T > &drawable) const
unsigned int | getDrawableIndex (const Drawable *drawable) const
template<class T>
unsigned int | getDrawableIndex (const ref_ptr< T > &drawable) const
void | compileDrawables (RenderInfo &renderInfo)
const BoundingBox & | getBoundingBox () const
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual bool | addChild (Node *child)
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Geode
virtual | ~Geode ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Geode
osg::BoundingBox | _bbox
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

A SphereSegment is a Geode to represent an portion of a sphere (potentially the whole sphere). The sphere is aligned such that the line through the sphere's poles is parallel to the z axis. The sphere segment may be rendered various components switched on or off:

    - The specified area of the sphere surface.

    - An edge line around the boundary of the specified area
      of the sphere surface.

    - Four <i>spokes</i>, where a spoke is the line from
      the sphere's centre to a corner of the rendered area.

    - Four planar areas, where the planar areas are formed
      between the spokes.

Caveats:

    - It's worth noting that the line through the sphere's poles is
      parallel to the z axis. This has implications when specifying the
      area to be rendered, and specifying areas where the centre of
      the rendered area <i>is</i> the Z axis may lead to unexpected
      geometry.

    - It's possible to render the whole sphere by specifying elevation
      and azimuth ranges round the full 360 degrees. When doing
      so you may consider switching the planes, spokes, and edge lines
      off, to avoid rendering artifacts, e.g. the upper and lower
      planes will be coincident.

## Member Typedef Documentation

## LineList

typedef std::vector< osg::ref_ptr<osg::Vec3Array> > osgSim::SphereSegment::LineList

A list of vertex arrays representing a list of lines.

## Member Enumeration Documentation

## DrawMask

enum osgSim::SphereSegment::DrawMask

DrawMask represents a bit field, the values of which may be OR'ed together to specify which parts of the sphere segment should be drawn. E.g.

sphereSegment->setDrawMask(SphereSegment::DrawMask(SphereSegment::SURFACE|SphereSegment::SPOKES));
osgSim::SphereSegment::DrawMask
DrawMask
Definition SphereSegment:71
osgSim::SphereSegment::SPOKES
@ SPOKES
Draw the spokes from the sphere's centre to the surface's corners.
Definition SphereSegment:73
osgSim::SphereSegment::SURFACE
@ SURFACE
Draw the specified area on the sphere's surface.
Definition SphereSegment:72

Enumerator
SURFACE | Draw the specified area on the sphere's surface.
SPOKES | Draw the spokes from the sphere's centre to the surface's corners.
EDGELINE | Draw the line round the edge of the area on the sphere's surface.
SIDES | Draw the planes from the sphere's centre to the edge of the sphere's surface.
ALL | Draw every part of the sphere segment.

## Constructor & Destructor Documentation

## SphereSegment() [1/4]

osgSim::SphereSegment::SphereSegment | ( |  | ) |

inline

Default constructor.

References ALL, and osg::Geode::Geode().

Referenced by META_Node(), and SphereSegment().

## SphereSegment() [2/4]

osgSim::SphereSegment::SphereSegment | ( | const osg::Vec3 & | centre,
|  | float | radius,
|  | float | azMin,
|  | float | azMax,
|  | float | elevMin,
|  | float | elevMax,
|  | int | density )

Construct by angle ranges. Note that the azimuth 'zero' is the Y axis; specifying an azimuth range from azMin -PI/2.0f to azMax PI/2.0f will cover the 'top half' of the circle in the XY plane. The elev angles are 'out' of the 'zero' XY plane with +ve angles above the plane, and -ve angles below.

Parameters

  centre | sphere centre
  radius | radius of sphere
  azMin | azimuth minimum
  azMax | azimuth maximum
  elevMin | elevation minimum
  elevMax | elevation maximum
  density | number of units to divide the azimuth and elevation ranges into

## SphereSegment() [3/4]

osgSim::SphereSegment::SphereSegment | ( | const osg::Vec3 & | centre,
|  | float | radius,
|  | const osg::Vec3 & | vec,
|  | float | azRange,
|  | float | elevRange,
|  | int | density )

Construct by vector.

Parameters

  centre | sphere centre
  radius | radius of sphere
  vec | vector pointing from sphere centre to centre point of rendered area on sphere surface
  azRange | azimuth range in radians (with centre along vec)
  elevRange | elevation range in radians (with centre along vec)
  density | number of units to divide the azimuth and elevation ranges into

## SphereSegment() [4/4]

osgSim::SphereSegment::SphereSegment | ( | const SphereSegment & | rhs,
|  | const osg::CopyOp & | co )

Copy constructor

References SphereSegment().

## Member Function Documentation

## computeBound()

virtual osg::BoundingSphere osgSim::SphereSegment::computeBound | ( |  | ) | const

virtual

Compute the bounding sphere around Node's geometry or children. This method is automatically called by getBound() when the bounding sphere has been marked dirty via dirtyBound().

Reimplemented from osg::Geode.

## computeIntersection() [1/2]

LineList osgSim::SphereSegment::computeIntersection | ( | const osg::Matrixd & | matrix,
|  | osg::Drawable * | drawable )

Compute the intersection lines between specified drawable and this sphere segment. The matrix is the transform that takes the subgraph into the same coordinate frame as the sphere segment. The resulting intersections are in the coordinate frame of the sphere segment.

## computeIntersection() [2/2]

LineList osgSim::SphereSegment::computeIntersection | ( | const osg::Matrixd & | matrix,
|  | osg::Node * | subgraph )

Compute the intersection lines between subgraph and this sphere segment. The matrix is the transform that takes the subgraph into the same coordinate frame as the sphere segment. The resulting intersections are in the coordinate frame of the sphere segment.

## computeIntersectionSubgraph() [1/2]

osg::Node * osgSim::SphereSegment::computeIntersectionSubgraph | ( | const osg::Matrixd & | matrix,
|  | osg::Drawable * | drawable )

Compute the intersection lines between specified drawable and this sphere segment. The matrix is the transform that takes the subgraph into the same coordinate frame as the sphere segment. The resulting intersections are in the coordinate frame of the sphere segment.

## computeIntersectionSubgraph() [2/2]

osg::Node * osgSim::SphereSegment::computeIntersectionSubgraph | ( | const osg::Matrixd & | matrix,
|  | osg::Node * | subgraph )

Compute the intersection lines between subgraph and this sphere segment. The matrix is the transform that takes the subgraph into the same coordinate frame as the sphere segment. The resulting intersections are in the coordinate frame of the sphere segment.

## getArea() [1/2]

void osgSim::SphereSegment::getArea | ( | float & | azMin,
|  | float & | azMax,
|  | float & | elevMin,
|  | float & | elevMax ) const

Get the area of the sphere segment

Parameters

  azMin | azimuth minimum
  azMax | azimuth maximum
  elevMin | elevation minimum
  elevMax | elevation maximum

## getArea() [2/2]

void osgSim::SphereSegment::getArea | ( | osg::Vec3 & | vec,
|  | float & | azRange,
|  | float & | elevRange ) const

Get the area of the sphere segment

Parameters

  vec | vector pointing from sphere centre to centre point of rendered area on sphere surface (normalized)
  azRange | azimuth range in radians (with centre along vec)
  elevRange | elevation range in radians (with centre along vec)

## getCentre()

const osg::Vec3 & osgSim::SphereSegment::getCentre | ( |  | ) | const

Get the centre point of the SphereSegment

## getDensity()

int osgSim::SphereSegment::getDensity | ( |  | ) | const

Get the density of the sphere segment

## getDrawMask()

int osgSim::SphereSegment::getDrawMask | ( |  | ) | const

inline

Get the DrawMask

## getEdgeLineColor()

const osg::Vec4 & osgSim::SphereSegment::getEdgeLineColor | ( |  | ) | const

inline

Get the color of the edge line.

## getRadius()

float osgSim::SphereSegment::getRadius | ( |  | ) | const

Get the radius of the SphereSegment

## getSideColor()

const osg::Vec4 & osgSim::SphereSegment::getSideColor | ( |  | ) | const

inline

Get the color of the planes.

## getSpokeColor()

const osg::Vec4 & osgSim::SphereSegment::getSpokeColor | ( |  | ) | const

inline

Get the color of the spokes.

## getSurfaceColor()

const osg::Vec4 & osgSim::SphereSegment::getSurfaceColor | ( |  | ) | const

inline

Get the color of the surface.

## META_Node()

osgSim::SphereSegment::META_Node | ( | osgSim | ,
|  | SphereSegment | )

References SphereSegment().

## releaseGLObjects()

virtual void osgSim::SphereSegment::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

If State is non-zero, this function releases any associated OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objects for all graphics contexts.

Reimplemented from osg::Group.

## resizeGLObjectBuffers()

virtual void osgSim::SphereSegment::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

virtual

Resize any per context GLObject buffers to specified size.

Reimplemented from osg::Group.

## setAllColors()

void osgSim::SphereSegment::setAllColors | ( | const osg::Vec4 & | c | ) |

Set color of all components.

## setArea() [1/2]

void osgSim::SphereSegment::setArea | ( | const osg::Vec3 & | vec,
|  | float | azRange,
|  | float | elevRange )

Set the area of the sphere segment

Parameters

  vec | vector pointing from sphere centre to centre point of rendered area on sphere surface
  azRange | azimuth range in radians (with centre along vec)
  elevRange | elevation range in radians (with centre along vec)

## setArea() [2/2]

void osgSim::SphereSegment::setArea | ( | float | azMin,
|  | float | azMax,
|  | float | elevMin,
|  | float | elevMax )

Set the area of the sphere segment

Parameters

  azMin | azimuth minimum
  azMax | azimuth maximum
  elevMin | elevation minimum
  elevMax | elevation maximum

## setCentre()

void osgSim::SphereSegment::setCentre | ( | const osg::Vec3 & | c | ) |

Set the centre point of the SphereSegment

## setDensity()

void osgSim::SphereSegment::setDensity | ( | int | d | ) |

Set the density of the sphere segment

## setDrawMask()

void osgSim::SphereSegment::setDrawMask | ( | int | dm | ) |

Specify the DrawMask.

Parameters

  dm | Bitmask specifying which parts of the sphere segment should be drawn.

See also
  DrawMask

## setEdgeLineColor()

void osgSim::SphereSegment::setEdgeLineColor | ( | const osg::Vec4 & | c | ) |

Set the color of the edge line.

## setRadius()

void osgSim::SphereSegment::setRadius | ( | float | r | ) |

Set the radius of the SphereSegment

## setSideColor()

void osgSim::SphereSegment::setSideColor | ( | const osg::Vec4 & | c | ) |

Set the color of the planes.

## setSpokeColor()

void osgSim::SphereSegment::setSpokeColor | ( | const osg::Vec4 & | c | ) |

Set the color of the spokes.

## setSurfaceColor()

void osgSim::SphereSegment::setSurfaceColor | ( | const osg::Vec4 & | c | ) |

Set the color of the surface.

## traverse()

void osgSim::SphereSegment::traverse | ( | osg::NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::Group.

## updatePositions()

void osgSim::SphereSegment::updatePositions | ( |  | ) |

recompute the vertex positions of the rendering meshes/lines that represent the sphere segment.

## updatePrimitives()

void osgSim::SphereSegment::updatePrimitives | ( |  | ) |

recompute the primitives rendering meshes/lines thtat represent the sphere segment.

The documentation for this class was generated from the following file:

- SphereSegment